import request from '@/utils/request'

// 查询批次管理列表
export function listBatch(query) {
  return request({
    url: '/business/batch/list',
    method: 'get',
    params: query
  })
}

// 查询批次管理详细
export function getBatch(batchId) {
  return request({
    url: '/business/batch/' + batchId,
    method: 'get'
  })
}

// 新增批次管理
export function addBatch(data) {
  return request({
    url: '/business/batch',
    method: 'post',
    data: data
  })
}

// 修改批次管理
export function updateBatch(data) {
  return request({
    url: '/business/batch',
    method: 'put',
    data: data
  })
}

// 删除批次管理
export function delBatch(batchId) {
  return request({
    url: '/business/batch/' + batchId,
    method: 'delete'
  })
}
